com.threerings.parlor.tourney.server

## Class TourniesManager

- java.lang.Object
- - com.threerings.parlor.tourney.server.TourniesManager

All Implemented Interfaces:
  Lifecycle.BaseComponent, Lifecycle.InitComponent, TourniesProvider, com.threerings.presents.server.InvocationProvider

    public abstract class TourniesManager
    extends Object
    implements TourniesProvider, Lifecycle.InitComponent

An extensible tournament manager.

### Constructor Summary

Constructors
Constructor and Description
`TourniesManager(Lifecycle cycle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTourney(com.threerings.presents.data.ClientObject caller, TourneyConfig config, com.threerings.presents.client.InvocationService.ResultListener listener)` Handles a `TourniesService.createTourney(com.threerings.parlor.tourney.data.TourneyConfig, com.threerings.presents.client.InvocationService.ResultListener)` request.
`void` `init()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TourniesManager

    @Inject
    public TourniesManager(Lifecycle cycle)

### Method Detail

#### init

    public void init()

Specified by:
  `init` in interface `Lifecycle.InitComponent`

#### createTourney

    public void createTourney(com.threerings.presents.data.ClientObject caller,
                              TourneyConfig config,
                              com.threerings.presents.client.InvocationService.ResultListener listener)
                       throws com.threerings.presents.server.InvocationException

Description copied from interface: `TourniesProvider`
Handles a `TourniesService.createTourney(com.threerings.parlor.tourney.data.TourneyConfig, com.threerings.presents.client.InvocationService.ResultListener)` request.

Specified by:
  `createTourney` in interface `TourniesProvider`
Throws:
  `com.threerings.presents.server.InvocationException`